package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.InscriptionRepository;
import ovh.herisson.Clyde.Tables.InscriptionRequest;
import ovh.herisson.Clyde.Tables.RequestState;

@Service
public class InscriptionService {

    InscriptionRepository inscriptionRepo;

    public InscriptionService(InscriptionRepository inscriptionRepo){
        this.inscriptionRepo = inscriptionRepo;
    }

    public void save(InscriptionRequest inscriptionRequest){
        inscriptionRepo.save(inscriptionRequest);
    }

    public InscriptionRequest getById(long id){
        return inscriptionRepo.findById(id);
    }

    public Iterable<InscriptionRequest> getAll(){
        return inscriptionRepo.findAll();
    }

    public void modifyState(long id, RequestState requestState) {
        InscriptionRequest inscriptionRequest = getById(id);
        inscriptionRequest.setState(requestState);
        save(inscriptionRequest);
    }
}